For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List Sites

GET
/sites/

Use with AI:Rippling AI ChatGPT Claude Cursor

List Sites

GET
/sites/

Retrieves sites that the user has view or edit access on. Optional query param name filters by case-insensitive substring on display name. Use GET /sites/{api_name}/ for an exact api_name lookup.

Required Scopes

  • sites.read

Request

Query Parameters
    limit integerrequired

    Possible values: >= 1 and <= 100

    Default value: 50

    The maximum number of results to return. Defaults to 50. Maximum is 100.

    cursor string

Responses​

Successful response
Schema
    __meta object
    A list of redacted fields.
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    results object[]
      Array [
      id string

      Identifier field

      name string

      The display name of the custom site

      description string

      The optional description of the custom site

      api_name string

      The unique api name of the custom site

      logo string

      A Rippling-owned logo URL for the custom site

      current_bundle_id string

      The active bundle id for the custom site

      admin_group_id string

      The admin group id for the custom site

      viewer_group_id string

      The viewer group id for the custom site

      created_by string

      The ID of the role that created the custom site

      created_at string

      Record creation date

      ]
    next_link string

    A link to the next page of responses.

Loading...